/* Based On https://www.w3schools.com/howto/howto_css_modal_images.asp */

.modal {
    display: none;
    /* Hidden by default */
    position: fixed;
    /* Stay in place */
    z-index: 2;
    /* Sit on top */
    left: 0;
    top: 0;
    width: 100%;
    /* Full width */
    height: 100%;
    /* Full height */
    overflow: auto;
    /* Enable scroll if needed */
    justify-content: center;
    align-items: center;

    background: transparent;
    backdrop-filter: blur(10px);
    background-color: #3333335e;
}

/* The Modal (background) */
.modalmain {
    /* Location of the box */
    width: 50%;
    /* Full width */
    height: 95%;
    /* Full height */
}

.modal-content {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    overflow-y: auto;
}

.modal-content div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-left: 4%;
    margin-right: 4%;
    margin-top: 1%;
    margin-bottom: 1%;
}

.modal-content p { 
    text-align: initial;
}

.modal-hero {
    display: none;
}

.modal-filler {
    display: none;
}

.modal-subtitle {
    display: none;
}

/* Modal Content (Image) */
#modal-img {
    margin: auto;
    width: 80%;
    border-radius: 10px;
}

/* Caption of Modal Image (Image Text) - Same Width as the Image */
#modal-caption {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 700px;
    text-align: center;
    color: #ffffff;
    padding: 10px 0;
}

/* Add Animation - Zoom in the Modal */
.modal-content,
#modal-caption {
    animation-name: zoom;
    animation-duration: 0.6s;
}

@keyframes zoom {
    from {
        transform: scale(0)
    }

    to {
        transform: scale(1)
    }
}

/* The Close Button */
.close {
    position: absolute;
    color: #f1f1f1;
    top: 0;
    right: 25px;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
}

.close:hover,
.close:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
}

/* 100% Image Width on Smaller Screens */
@media only screen and (max-width: 700px) {
    .modal-image {
        width: 97%;
    }

    .modalmain {
        width: 97%;
        /* Full width */
    }
}